#
# Conditional build:
%bcond_with	gtk2		# use GTK+ 2.x instead of 3.x
%bcond_without	champlain	# maps support via libchamplain [gtk+3 only]
%bcond_without	clutter		# GPU accelleration via clutter [gtk+3 only]
#
%if %{with gtk2}
%undefine	with_champlain
%undefine	with_clutter
%endif
Summary:	Graphics file browser utility
Summary(hu.UTF-8):	Képfájl-böngésző eszköz
Summary(pl.UTF-8):	Narzędzie do przeglądania plików graficznych
Name:		geeqie
Version:	1.3
Release:	2
License:	GPL v2+
Group:		X11/Applications/Graphics
Source0:	http://www.geeqie.org/%{name}-%{version}.tar.xz
# Source0-md5:	0339ad62946cae7009ec76ec21572065
Patch0:		libdir-fix.patch
URL:		http://www.geeqie.org/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
%{?with_clutter:BuildRequires:	clutter-devel >= 1.0}
%{?with_clutter:BuildRequires:	clutter-gtk-devel >= 1.0}
BuildRequires:	exiv2-devel >= 0.11
BuildRequires:	gdk-pixbuf2-devel >= 2
BuildRequires:	gettext-tools
BuildRequires:	glib2-devel >= 1:2.24.0
BuildRequires:	gnome-doc-utils
%{?with_gtk2:BuildRequires:	gtk+2-devel >= 2:2.20.0}
%{!?with_gtk2:BuildRequires:	gtk+3-devel >= 3.0.0}
BuildRequires:	intltool >= 0.40.0
BuildRequires:	lcms2-devel >= 2.0
%{?with_champlain:BuildRequires:	libchamplain-devel >= 0.12}
BuildRequires:	libjpeg-devel
BuildRequires:	libpng-devel
BuildRequires:	libstdc++-devel
BuildRequires:	libtiff-devel
BuildRequires:	lirc-devel
BuildRequires:	lua51-devel >= 5.1.5-2
BuildRequires:	pkgconfig
BuildRequires:	rpmbuild(macros) >= 1.197
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
Requires:	desktop-file-utils
Requires:	exiv2-libs >= 0.11
Requires:	glib2 >= 1:2.24.0
%{?with_gtk2:Requires:	gtk+2 >= 2:2.20.0}
%{!?with_gtk2:Requires:	gtk+3 >= 3.0.0}
%{?with_champlain:Requires:	libchamplain >= 0.12}
Requires:	libjpeg-progs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags_ia32		-fomit-frame-pointer

%description
Geeqie is a browser for graphics files. Offering single click viewing
of your graphics files. Includes thumbnail view, zoom and filtering
features. And external editor support.

%description -l fr.UTF-8
Geeqie est un explorateur de fichiers graphiques. Il permet d'un
simple clic l'affichage de vos fichiers graphiques. Les capacités
suivantes sont incluses: vue d'imagettes, zoom, filtres et support
d'éditeurs externes.

%description -l hu.UTF-8
Geeqie egy böngésző, amellyel a grafikus fájlokat tudod kezelni.
Egyszeri kattintásra megnézheted a képfájljaidat. Kicsinyített nézet,
zoom és szűrő eszközök is található, és külső szerkesztő támogatása.

%description -l pl.UTF-8
Geeqie jest przeglądarką plików graficznych. Możesz przeglądać swoje
pliki graficzne jednym kliknięciem myszy. Zawiera widok miniatur, zoom
i opcje filtrowania, jak również wsparcie dla zewnętrznego edytora.

%prep
%setup -q
%patch0 -p1

%build
install -d auxdir
%{__intltoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	%{!?with_clutter:--disable-gpu-accel} \
	--enable-gtk3%{?with_gtk2:=no} \
	%{?with_champlain:--enable-map}

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	GNOME_DOC_TOOL=/disable-install-hook \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/%{name}/{applications,template.desktop}
%{__rm} -r $RPM_BUILD_ROOT%{_docdir}/%{name}-%{version}

%find_lang %{name}

%post
%update_desktop_database

%postun
%update_desktop_database

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS README TODO ChangeLog doc/html
%attr(755,root,root) %{_bindir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_desktopdir}/%{name}.desktop
%{_pixmapsdir}/%{name}.png
%dir %{_libdir}/%{name}
%attr(755,root,root) %{_libdir}/%{name}/geeqie-import
%attr(755,root,root) %{_libdir}/%{name}/geeqie-rotate
%attr(755,root,root) %{_libdir}/%{name}/geeqie-symlink
%attr(755,root,root) %{_libdir}/%{name}/geeqie-ufraw
%changelog
* Mon Sep 25 2017 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/geeqie.git;a=log;h=master

* Mon Sep 25 2017 Jan Rękorajski <baggins@pld-linux.org> e5b3fab
- rebuild with exiv2 0.26
- release 2 (by relup.sh)

* Sun Sep 11 2016 Jakub Bogusz <qboosh@pld-linux.org> 9f84a67
- more versioned install time dependencies, bconds for BRs

* Thu Sep 08 2016 Jakub Bogusz <qboosh@pld-linux.org> 46be31a
- updated to 1.3
- removed obsolete raws patch
- default to gtk3 with clutter and maps/champlain support

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 9e0dc54
- desktop cleanup; rel 2

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 56a3e32
- different fix for html install

* Mon May 02 2016 Elan Ruusamäe <glen@delfi.ee> 1a76e22
- packaging fixes

* Sun May 01 2016 Kacper Kornet <kk562@cam.ac.uk> 4e21d6b
- add forgotten patch

* Sun May 01 2016 Kacper Kornet <kk562@cam.ac.uk> 966ad3c
- fix displaying of previews of raw files

* Sun May 01 2016 Kacper Kornet <kk562@cam.ac.uk> 285a04e
- up to 1.2.3

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> c116c31
- updated gettext BR

* Wed Apr 16 2014 Jan Rękorajski <baggins@pld-linux.org> 296b57d
- rel 2

* Wed Apr 16 2014 Jan Rękorajski <baggins@pld-linux.org> f8e498c
- cleanup docdir before packaging

* Tue Nov 20 2012 Jan Rękorajski <baggins@pld-linux.org> 3fa9e7b
- updated to 1.1

* Thu Mar 24 2011 Arkadiusz Miśkiewicz <arekm@maven.pl> fdd07de
- release 4

* Thu Sep 30 2010 Paweł Gołaszewski <blues@pld-linux.org> 7d32a06
- rel.3

* Thu Sep 09 2010 Zsolt Udvari <uzsolt@pld-linux.org> 885258e
- libdir-fix patch

* Thu Sep 09 2010 Zsolt Udvari <uzsolt@pld-linux.org> 9f6d048
- initial

* Thu Sep 09 2010 Zsolt Udvari <uzsolt@pld-linux.org> ac6afee
- rel 2 (exiv2-libs)

* Tue Dec 08 2009 Sławomir Paszkiewicz <paszczus@pld-linux.org> c9680d9
- updated to 1.0 beta2
- BR: intltool, libtool
- adaptarized

* Sun Apr 26 2009 Zsolt Udvari <uzsolt@pld-linux.org> 9530930
- alpha3
- hu

